/*
 * 作成日: 2005/10/12
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package jp.co.ntt.lms.otm;

/**
 * @author yasu
 *
 * OTM セッションに必要な情報を格納するためのクラス
 * 
 */
public class OTMSession
{
	/**
	 * このオブジェクトをセッションに格納する際のキー
	 * Velocity テンプレートからも セッションに格納されたオブジェクトを
	 * $otm_session として使用するため、この値を変更しないこと
	 */
	public static final String OTM_SESSION_KEY = "otm_session";
	
	/**
	 * ユーザーID を格納するための変数
	 * 通常は realUserID と同一の値がセットされる。
	 * OTM語学のカウンセラーなどがログインした場合は、このユーザーIDには
	 * 受講生のユーザーID がセットされる。
	 */
	private String userID;
	
	/**
	 * E3LPログインユーザーのユーザーID を格納するための変数
	 */
	private String realUserID;
	
	/**
	 * 起動中のメソッドLOのLOID を格納するための変数
	 */
	private String loID;
	
	/**
	 * @return loID を戻します。
	 */
	public String getLoID()
	{
		return loID;
	}
	/**
	 * @param loID loID を設定。
	 */
	public void setLoID(String loID)
	{
		this.loID = loID;
	}
	/**
	 * @return userId を戻します。
	 */
	public String getUserID()
	{
		return userID;
	}
	/**
	 * @param userId userId を設定。
	 */
	public void setUserID(String userID)
	{
		this.userID = userID;
	}
	
	/**
	 * OTMセッションのユーザーIDを取得する場合には
	 * getUserID() を使用すること。
	 * これは、E3LP LMSでログイン中のユーザーIDを保持するためだけに
	 * 使用する。
	 * 
	 * @return realUserID を戻します。
	 */
	public String getRealUserID()
	{
		return realUserID;
	}
	/**
	 * @param realUserID realUserID を設定。
	 */
	public void setRealUserID(String realUserID)
	{
		this.realUserID = realUserID;
	}
}
